variable "project_name" {
	description = "Name of the project"
	type        = string
}

variable "region" {
	description = "The region of the VM"
	type        = string
}

variable "frontend_cidr" {
	description = "CIDR for frontend subnet"
	type        = string
	default     = "10.0.1.0/24"
}

variable "backend_cidr" {
	description = "CIDR for backend subnet"
	type        = string
	default     = "10.0.2.0/24"
}

variable "database_cidr" {
	description = "CIDR for database subnet"
	type        = string
	default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
	description = "Source range for SSH"
	type        = string
	default     = "34.79.226.15/32"
}
